#include <iostream>
#include <ctime>
using namespace std;

const float pi=3.14159;

class redPacketGauss
{
public:
	redPacketGauss(double m,double s){
		miu=m;
		sigma=s;
	};
	double Normal();

private:
	double miu;
	double sigma;
	double Random();
	double normal_pdf(double x);

};

double redPacketGauss::Random(){
    return rand()%1000/1000.;
}

double redPacketGauss::normal_pdf(double x){
    return exp((x-miu)*(x-miu)/(-2*sigma*sigma))/(sqrt(2*pi)*sigma);
}
double redPacketGauss::Normal(){
    while(1){
        double temp_x=Random()*8*sigma+miu-4*sigma;
        double temp_y=Random()/(sqrt(2*pi)*sigma);
        if(temp_y<normal_pdf(temp_x)){
            return temp_x;
        }
    }
}



void main()
{
	int number;
	double money,n;
	cout<<"ƴϷ:"<<endl;

	cout<<"";
	cin>>number;

	cout<<"ܽ";
	cin>>money;

	cout<<"ÿһμһʼ......"<<endl;
	srand((unsigned) time(NULL)); 
	redPacketGauss m_pack(money/number,money/(number*2));

	for (int i=1; i<number; i++)
	{
		if (getchar())
		{
			n = m_pack.Normal();	//һֲ̬
			cout<<""<<i<<""<<n<<endl;
			money = money - n;
		}
	}
	cout<<""<<number<<""<<money<<endl;
}